Test and Measurement Forum

Archlinux Support

Discussion forum for the new Picoscope Linux software

Archlinux Support

Postby Drehstromlampe » Mon Dec 07, 2015 11:55 pm

Hi,

I'm thinking about purchasing a PicoScope. One of the main reasons to get one is the Linux support.
However, there seems to be know official Arch-support.
The package in the AUR seems to be outdated.

Is anyone running driver+applications on arch? And if so, how?
I thought about unpacking the rpm/deb-packages.
And I really want to avoid dualbooting any other distro just for using the oscilloscope.

Best Regards

Drehstromlampe
Drehstromlampe
Newbie
 
Posts: 0
Joined: Mon Dec 07, 2015 11:49 pm

Re: Archlinux Support

Postby AndrewA » Thu Dec 10, 2015 12:19 pm

Hi,

Have you installed mono on Arch? There is arch packages for mono. Do you have mono working?

I found this post about script that converts deb packages to AUR ones.
https://bbs.archlinux.org/viewtopic.php?id=187558
Regards Andrew
Technical Specialist
AndrewA
Zen Master
Zen Master
 
Posts: 178
Joined: Tue Oct 21, 2014 3:07 pm

Re: Archlinux Support

Postby Drehstromlampe » Thu Dec 10, 2015 7:26 pm

Thanks a lot :)

I'll have a look into it and then report back.
Drehstromlampe
Newbie
 
Posts: 0
Joined: Mon Dec 07, 2015 11:49 pm

Re: Archlinux Support

Postby mti » Mon Dec 14, 2015 6:01 pm

The AUR packages work well but you might consider just changing the version numbers to the lastest version before building. (Then you need to change/ignore the checksums too.)

NOTE: Picoscope does _not_ work with the latest version of Mono. This is not a problem with either the AUR files nor with Arch. Other distributions seem to have the same problem. I use Mono version 4.0.4.1-1.

/Mikael
mti
Newbie
 
Posts: 0
Joined: Tue Feb 03, 2015 7:39 pm

Re: Archlinux Support

Postby Drehstromlampe » Wed Feb 03, 2016 10:53 pm

Hi

i installed picoscope, the libps2000 and libpicoipp from AUR successfully.
The application starts fine but won't find the scope. Do you mean that by saying that the pico-software will not work with the latest mono-version?

Regards

Benedikt
Drehstromlampe
Newbie
 
Posts: 0
Joined: Mon Dec 07, 2015 11:49 pm

Re: Archlinux Support

Postby Drehstromlampe » Wed Feb 03, 2016 11:30 pm

Thank you guys very, very much.

I have everything up and running now :)
Drehstromlampe
Newbie
 
Posts: 0
Joined: Mon Dec 07, 2015 11:49 pm


Return to PicoScope for Linux

Who is online

Users browsing this forum: No registered users and 0 guests